[arch-commits] Commit in xtrans/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed May 14 13:10:41 EDT 2008


    Date: Wednesday, May 14, 2008 @ 13:10:41
  Author: jgc
Revision: 1649

upgpkg: xtrans 1.2-1

Modified:
  xtrans/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-14 12:09:47 UTC (rev 1648)
+++ PKGBUILD	2008-05-14 17:10:41 UTC (rev 1649)
@@ -2,17 +2,20 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xtrans
-pkgver=1.0.4
+pkgver=1.2
 pkgrel=1
 pkgdesc="X transport library"
 arch=(i686 x86_64)
+license=('custom')
 url="http://xorg.freedesktop.org/"
 source=(${url}/releases/individual/lib/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('a91fef8b932b21992af7dfff7b2643f3')
 
 build() {
-  cd ${startdir}/src/${pkgname}-$pkgver
-  ./configure --prefix=/usr
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -m755 -d ${startdir}/pkg/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/ || return 1
 }
-md5sums=('8b36cdf08df12be96615e3d550236626')





More information about the arch-commits mailing list